Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.toJava
Class JavaUndeployWriter

    java.lang.Object
      |
      +--org.apache.axis.wsdl.toJava.JavaWriter
            |
            +--org.apache.axis.wsdl.toJava.JavaUndeployWriter

All Implemented Interfaces:
  Generator

public class JavaUndeployWriter
extends JavaWriter

This is Wsdl2java's deploy Writer. It writes the deploy.java file.

Field Summary
`protected javax.wsdl.Definition` | `definition`

Fields inherited from class org.apache.axis.wsdl.toJava.JavaWriter
`emitter, type`

Constructor Summary
`JavaUndeployWriter(Emitter emitter, javax.wsdl.Definition definition, SymbolTable notUsed)` Constructor.

Method Summary
`void` | `generate()` Generate undeploy.wsdd.
`protected java.lang.String` | `getFileName()` Return the fully-qualified name of the undeploy.wsdd file to be generated.
`protected void` | `writeFileBody(java.io.PrintWriter pw)` Write the body of the deploy.wsdd file.
`protected void` | `writeFileHeader(java.io.PrintWriter pw)` Replace the default file header with the deployment doc file header.

Methods inherited from class org.apache.axis.wsdl.toJava.JavaWriter
`closePrintWriter, getPrintWriter, isFileGenerated, registerFile, verboseMessage, writeComment, writeFileFooter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### definition

    protected javax.wsdl.Definition definition

Constructor Detail

### JavaUndeployWriter

    public JavaUndeployWriter(Emitter emitter,
                              javax.wsdl.Definition definition,
                              SymbolTable notUsed)

  Constructor.

Method Detail

### generate

    public void generate()
                  throws java.io.IOException

  Generate undeploy.wsdd. Only generate it if the emitter is generating server-side mappings.
  Overrides:
    `generate` in class `JavaWriter`

### getFileName

    protected java.lang.String getFileName()

  Return the fully-qualified name of the undeploy.wsdd file to be generated.
  Overrides:
    `getFileName` in class `JavaWriter`

### writeFileHeader

    protected void writeFileHeader(java.io.PrintWriter pw)
                            throws java.io.IOException

  Replace the default file header with the deployment doc file header.
  Overrides:
    `writeFileHeader` in class `JavaWriter`

### writeFileBody

    protected void writeFileBody(java.io.PrintWriter pw)
                          throws java.io.IOException

  Write the body of the deploy.wsdd file.
  Overrides:
    `writeFileBody` in class `JavaWriter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.